#include <cstdio>
#include <cmath>
using namespace std;

long long int finds(int p1,int p2) {
    if ((p1*p2)<0) {
    return (abs(p1)+abs(p2));
    }
    else return abs(p1-p2);
    }


int main () {

    long long int x1,x2,y1,y2,s1,s2;
    scanf("%lld%lld%lld%lld",&x1,&y1,&x2,&y2);
    if ((x1 == x2) || (y1 == y2)) {
        printf("2");
    }
    else {
        s1=finds(x1,x2);
        s2=finds(y1,y2);
        printf("%lld\n",s1);
        printf("%lld\n",s2);
        if (s1==s2) {
            printf("1");
        }
        else printf("x");
    }
    return 0;
    }